<?php
/**
 * StoryBook Theme Customizer - Sanitize Settings
 */


/**
 * Sanitize checkbox.
 */
function storybook_sanitize_checkbox( $checked ) {
	return ( ( isset( $checked ) && true === $checked ) ? true : false );
}

/**
 * Sanitize radio input
 */
function storybook_sanitize_radio( $input, $setting ) {
	// Input must be a slug: lowercase alphanumeric characters, dashes and underscores are allowed only.
	$input = sanitize_key( $input );

	// Get the list of possible radio box options.
	$choices = $setting->manager->get_control( $setting->id )->choices;

	// Return input if valid or return default option.
	return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
}



/**
 * Customizer styles
 */
function storybook_customizer_custom_scripts() {
    ?>
	<style>
        #accordion-panel-storybook_design_options {
			margin-top: 15px;
		}
    </style>
	<?php
}
add_action( 'customize_controls_print_footer_scripts', 'storybook_customizer_custom_scripts' );



/**
 * Color escaping option sanitize
 *
 * @param  mixed $input Input.
 * @return string
 */
function storybook_color_escaping_option_sanitize( $input ) {
	$input = esc_attr( $input );

	return $input;
}